# Uses of Interface
org.springframework.beans.factory.support.BeanDefinitionRegistry

Packages that use BeanDefinitionRegistry
Package
Description
org.springframework.beans.factory.groovy
Support package for Groovy-based bean definitions.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of BeanDefinitionRegistry in org.springframework.beans.factory.groovy

Constructors in org.springframework.beans.factory.groovy with parameters of type BeanDefinitionRegistry
Modifier
Constructor
Description
``
`GroovyBeanDefinitionReader(BeanDefinitionRegistry registry)`
Create a new `GroovyBeanDefinitionReader` for the given `BeanDefinitionRegistry`.

## Uses of BeanDefinitionRegistry in org.springframework.beans.factory.support

Classes in org.springframework.beans.factory.support that implement BeanDefinitionRegistry
Modifier and Type
Class
Description
`class`
`DefaultListableBeanFactory`
Spring's default implementation of the `ConfigurableListableBeanFactory` and `BeanDefinitionRegistry` interfaces: a full-fledged bean factory based on bean definition metadata, extensible through post-processors.
`class`
`SimpleBeanDefinitionRegistry`
Simple implementation of the `BeanDefinitionRegistry` interface.
Methods in org.springframework.beans.factory.support that return BeanDefinitionRegistry
Modifier and Type
Method
Description
`final BeanDefinitionRegistry`
AbstractBeanDefinitionReader.`getRegistry()`
`BeanDefinitionRegistry`
BeanDefinitionReader.`getRegistry()`
Return the bean factory to register the bean definitions with.
Methods in org.springframework.beans.factory.support with parameters of type BeanDefinitionRegistry
Modifier and Type
Method
Description
`static String`
BeanDefinitionReaderUtils.`generateBeanName(BeanDefinition beanDefinition, BeanDefinitionRegistry registry)`
Generate a bean name for the given top-level bean definition, unique within the given bean factory.
`static String`
BeanDefinitionReaderUtils.`generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry, boolean isInnerBean)`
Generate a bean name for the given bean definition, unique within the given bean factory.
`String`
BeanNameGenerator.`generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry)`
Generate a bean name for the given bean definition.
`String`
DefaultBeanNameGenerator.`generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry)`
`void`
BeanDefinitionRegistryPostProcessor.`postProcessBeanDefinitionRegistry(BeanDefinitionRegistry registry)`
Modify the application context's internal bean definition registry after its standard initialization.
`static void`
BeanDefinitionReaderUtils.`registerBeanDefinition(BeanDefinitionHolder definitionHolder, BeanDefinitionRegistry registry)`
Register the given bean definition with the given bean factory.
`static String`
BeanDefinitionReaderUtils.`registerWithGeneratedName(AbstractBeanDefinition definition, BeanDefinitionRegistry registry)`
Register the given bean definition with a generated name, unique within the given bean factory.
`static String`
BeanDefinitionReaderUtils.`uniqueBeanName(String beanName, BeanDefinitionRegistry registry)`
Turn the given bean name into a unique bean name for the given bean factory, appending a unique counter as suffix if necessary.
Constructors in org.springframework.beans.factory.support with parameters of type BeanDefinitionRegistry
Modifier
Constructor
Description
`protected`
`AbstractBeanDefinitionReader(BeanDefinitionRegistry registry)`
Create a new AbstractBeanDefinitionReader for the given bean factory.
``
`PropertiesBeanDefinitionReader(BeanDefinitionRegistry registry)`
Deprecated.
Create new PropertiesBeanDefinitionReader for the given bean factory.

## Uses of BeanDefinitionRegistry in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return BeanDefinitionRegistry
Modifier and Type
Method
Description
`BeanDefinitionRegistry`
ParserContext.`getRegistry()`
`final BeanDefinitionRegistry`
XmlReaderContext.`getRegistry()`
Return the bean definition registry to use.
Methods in org.springframework.beans.factory.xml with parameters of type BeanDefinitionRegistry
Modifier and Type
Method
Description
`protected void`
AbstractBeanDefinitionParser.`registerBeanDefinition(BeanDefinitionHolder definition, BeanDefinitionRegistry registry)`
Register the supplied `bean` with the supplied `registry`.
Constructors in org.springframework.beans.factory.xml with parameters of type BeanDefinitionRegistry
Modifier
Constructor
Description
``
`XmlBeanDefinitionReader(BeanDefinitionRegistry registry)`
Create new XmlBeanDefinitionReader for the given bean factory.